We have confirmed that an error message appears and the plug-in cannot be loaded when it is installed in certain environments.

[Environment]
– Mac with M1 processor
– Adobe Illustrator 2021 latest version (25.3.1)

[Error Message]
“Some of the plug-ins do not support Illustrator in ARM native mode. In order to use these plug-ins, please run Illustrator in Intel emulation mode.”

Solution

We are working on a quick fix for this issue, but we are afraid that it will take some time. As a workaround, you can load the plug-in by launching the Intel version of Illustrator using the following method.

[How to launch the Intel version]
On the Creative Cloud screen, click the “…” button next to the “Open” button in Illustrator and select “Open (Intel)“.

Note

Please note that the following plug-ins can be loaded by the above startup method, but there are some problems with guide lines in the environment of Illustrator 25.3.1. In this case, please use an earlier version of Illustrator.

-BPT-Pro
-Segment Tools(BPT-LT)
-Grading Tools
-DBPalette

→ Instructions on how to install previous versions of Illustrator

We apologize for any inconvenience this may cause.
We will inform you about the future support on our website.
Thank you for your cooperation.